# combo - content management system
# Copyright (C) 2017  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from haystack.management.commands.update_index import Command as UpdateIndexCommand

from combo.apps.search.models import SearchCell


class Command(UpdateIndexCommand):

    def handle(self, **options):
        if SearchCell.objects.filter(_search_service='_text').count() == 0:
            # do not index site if there's no matching search cell
            return
        return super(Command, self).handle(**options)
