# combo - content management system
# Copyright (C) 2014-2016  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.utils.translation import ugettext_lazy as _
from django.contrib.auth.models import User

from combo.data.models import CellBase
from combo.data.library import register_cell_class


@register_cell_class
class UserSearchCell(CellBase):
    template_name = 'combo/usersearch.html'

    class Media:
        js = ('js/usersearch.js',)

    class Meta:
        verbose_name = _('User Search')

    def is_visible(self, user=None):
        return super(UserSearchCell, self).is_visible(user=user)

    def modify_global_context(self, context, request):
        if 'selected_user_id' in request.GET:
            context['selected_user'] = User.objects.get(pk=request.GET['selected_user_id'])
